SuSE 10 Security Update : perl (ZYPP Patch Number 4665)

high Nessus Plugin ID 29550

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

This update fixes a buffer overflow in perl's regex engine.
(CVE-2007-5116)

Solution

Apply ZYPP patch number 4665.

See Also

http://support.novell.com/security/cve/CVE-2007-5116.html

Plugin Details

Severity: High

ID: 29550

File Name: suse_perl-4665.nasl

Version: 1.17

Type: local

Agent: unix

Published: 12/13/2007

Updated: 1/14/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: High

Score: 7

CVSS v2

Risk Factor: High

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 11/9/2007

Reference Information

CVE: CVE-2007-5116

CWE: 119